> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Create Tax Zones

POST https://api.bigcommerce.com/stores/{store_hash}/v3/tax/zones
Content-Type: application/json

Create one or more tax zones.

> #### Note
> You cannot create a default tax zone.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/tax/tax-zones/create-tax-zones

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

### Body (application/json)

This endpoint expects a list of Tax_ZonePOST.

- `list of Tax_ZonePOST`

## Response

### 200

OK

- `data` (list of Tax_Zone, optional)
- `meta` (MetaOpen, optional) — Response metadata.

## Types

### Tax_ZonePOST

- `name` (string, required) — The human-readable name for this tax zone. The name appears in the store control panel.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
- `price_display_settings` (TaxZonePostPriceDisplaySettings, optional) — Settings that describe how a store displays prices to shoppers matched with this tax zone.
- `shopper_target_settings` (TaxZonePostShopperTargetSettings, optional) — Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper.

### Tax_Zone

- `id` (integer, optional) — Tax Zone ID. Internal identifier used to get, update, or delete a specific tax zone.
- `name` (string, optional) — The human-readable name for this tax zone. The name appears in the store control panel.
- `enabled` (boolean, optional, default: true) — Indicates whether a tax zone is enabled. Tax operations are only for enabled zones.
- `price_display_settings` (TaxZonePriceDisplaySettings, optional) — Settings that describe how a store displays prices to shoppers matched with this tax zone.
- `shopper_target_settings` (TaxZoneShopperTargetSettings, optional) — Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

### MetaOpen

Response metadata.

### TaxZonePostPriceDisplaySettings

Settings that describe how a store displays prices to shoppers matched with this tax zone.

- `show_inclusive` (boolean, required) — Indicates whether to show prices as tax inclusive or tax exclusive to shoppers matched with this tax zone.
- `show_both_on_detail_view` (boolean, optional, default: false) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing product detail; for example, on product pages. This view applies to shoppers matched with this tax zone.
- `show_both_on_list_view` (boolean, optional, default: false) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing a list of products; for example, on category and brand pages. This view applies to shoppers matched with this tax zone.

### TaxZonePostShopperTargetSettings

Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper.

- `locations` (list of TaxZonePostShopperTargetSettingsLocationsItems, required) — A tax zone may target shoppers in one or more locations.
- `customer_groups` (list of integer, optional) — One or more customer groups that a tax zone targets. Empty array if zone applies to all customers.

### TaxZonePriceDisplaySettings

Settings that describe how a store displays prices to shoppers matched with this tax zone.

- `show_inclusive` (boolean, optional) — Indicates whether to show prices as tax inclusive or tax exclusive to shoppers matched with this tax zone.
- `show_both_on_detail_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing product detail; for example, on product pages. This view applies to shoppers matched with this tax zone.
- `show_both_on_list_view` (boolean, optional) — Indicates whether to show both tax inclusive and tax exclusive prices when viewing a list of products; for example, on category and brand pages. This view applies to shoppers matched with this tax zone.

### TaxZoneShopperTargetSettings

Settings that describe which shoppers match this tax zone and help determine the most appropriate target for a shopper. You cannot define shopper target settings for the default tax zone because it must accommodate all shoppers who donʼt qualify for any other zone.

- `locations` (list of TaxZoneShopperTargetSettingsLocationsItems, optional) — A tax zone may target shoppers in one or more locations.
- `customer_groups` (list of integer, optional) — One or more customer groups that a tax zone targets. Empty array if zone applies to all customers.

### TaxZonePostShopperTargetSettingsLocationsItems

- `country_code` (string, optional) — Two-letter ISO 3166-1 country code
- `subdivision_codes` (list of string, optional) — Three-letter ISO 3166-2 subdivision code
- `postal_codes` (list of string, optional)

### TaxZoneShopperTargetSettingsLocationsItems

- `country_code` (string, optional) — Two-letter ISO 3166-1 country code
- `subdivision_codes` (list of string, optional) — Three-letter ISO 3166-2 subdivision code
- `postal_codes` (list of string, optional)

## Examples

**Request**

```json
[
  {
    "name": "example zone",
    "enabled": true,
    "price_display_settings": {
      "show_inclusive": true,
      "show_both_on_detail_view": true,
      "show_both_on_list_view": true
    },
    "shopper_target_settings": {
      "locations": [
        {
          "country_code": "AR",
          "subdivision_codes": [
            "T",
            "V"
          ]
        },
        {
          "country_code": "AU",
          "subdivision_codes": [
            "WA",
            "VIC"
          ]
        }
      ],
      "customer_groups": [
        0
      ]
    }
  }
]
```

**Response**

```json
{
  "data": [
    {
      "id": 2,
      "name": "example zone",
      "enabled": true,
      "price_display_settings": {
        "show_inclusive": true,
        "show_both_on_detail_view": true,
        "show_both_on_list_view": true
      },
      "shopper_target_settings": {
        "locations": [
          {
            "country_code": "AR",
            "subdivision_codes": [
              "T",
              "V"
            ],
            "postal_codes": []
          },
          {
            "country_code": "AU",
            "subdivision_codes": [
              "WA",
              "VIC"
            ],
            "postal_codes": []
          }
        ],
        "customer_groups": [
          0
        ]
      }
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones"

payload = [
    {
        "name": "example zone",
        "enabled": True,
        "price_display_settings": {
            "show_inclusive": True,
            "show_both_on_detail_view": True,
            "show_both_on_list_view": True
        },
        "shopper_target_settings": {
            "locations": [
                {
                    "country_code": "AR",
                    "subdivision_codes": ["T", "V"]
                },
                {
                    "country_code": "AU",
                    "subdivision_codes": ["WA", "VIC"]
                }
            ],
            "customer_groups": [0]
        }
    }
]
headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/tax/zones';
const options = {
  method: 'POST',
  headers: {
    Accept: 'application/json',
    'X-Auth-Token': '<apiKey>',
    'Content-Type': 'application/json'
  },
  body: '[{"name":"example zone","enabled":true,"price_display_settings":{"show_inclusive":true,"show_both_on_detail_view":true,"show_both_on_list_view":true},"shopper_target_settings":{"locations":[{"country_code":"AR","subdivision_codes":["T","V"]},{"country_code":"AU","subdivision_codes":["WA","VIC"]}],"customer_groups":[0]}}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones"

	payload := strings.NewReader("[\n  {\n    \"name\": \"example zone\",\n    \"enabled\": true,\n    \"price_display_settings\": {\n      \"show_inclusive\": true,\n      \"show_both_on_detail_view\": true,\n      \"show_both_on_list_view\": true\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AR\",\n          \"subdivision_codes\": [\n            \"T\",\n            \"V\"\n          ]\n        },\n        {\n          \"country_code\": \"AU\",\n          \"subdivision_codes\": [\n            \"WA\",\n            \"VIC\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        0\n      ]\n    }\n  }\n]")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"name\": \"example zone\",\n    \"enabled\": true,\n    \"price_display_settings\": {\n      \"show_inclusive\": true,\n      \"show_both_on_detail_view\": true,\n      \"show_both_on_list_view\": true\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AR\",\n          \"subdivision_codes\": [\n            \"T\",\n            \"V\"\n          ]\n        },\n        {\n          \"country_code\": \"AU\",\n          \"subdivision_codes\": [\n            \"WA\",\n            \"VIC\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        0\n      ]\n    }\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"name\": \"example zone\",\n    \"enabled\": true,\n    \"price_display_settings\": {\n      \"show_inclusive\": true,\n      \"show_both_on_detail_view\": true,\n      \"show_both_on_list_view\": true\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AR\",\n          \"subdivision_codes\": [\n            \"T\",\n            \"V\"\n          ]\n        },\n        {\n          \"country_code\": \"AU\",\n          \"subdivision_codes\": [\n            \"WA\",\n            \"VIC\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        0\n      ]\n    }\n  }\n]")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.bigcommerce.com/stores/store_hash/v3/tax/zones', [
  'body' => '[
  {
    "name": "example zone",
    "enabled": true,
    "price_display_settings": {
      "show_inclusive": true,
      "show_both_on_detail_view": true,
      "show_both_on_list_view": true
    },
    "shopper_target_settings": {
      "locations": [
        {
          "country_code": "AR",
          "subdivision_codes": [
            "T",
            "V"
          ]
        },
        {
          "country_code": "AU",
          "subdivision_codes": [
            "WA",
            "VIC"
          ]
        }
      ],
      "customer_groups": [
        0
      ]
    }
  }
]',
  'headers' => [
    'Accept' => 'application/json',
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/tax/zones");
var request = new RestRequest(Method.POST);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"name\": \"example zone\",\n    \"enabled\": true,\n    \"price_display_settings\": {\n      \"show_inclusive\": true,\n      \"show_both_on_detail_view\": true,\n      \"show_both_on_list_view\": true\n    },\n    \"shopper_target_settings\": {\n      \"locations\": [\n        {\n          \"country_code\": \"AR\",\n          \"subdivision_codes\": [\n            \"T\",\n            \"V\"\n          ]\n        },\n        {\n          \"country_code\": \"AU\",\n          \"subdivision_codes\": [\n            \"WA\",\n            \"VIC\"\n          ]\n        }\n      ],\n      \"customer_groups\": [\n        0\n      ]\n    }\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "name": "example zone",
    "enabled": true,
    "price_display_settings": [
      "show_inclusive": true,
      "show_both_on_detail_view": true,
      "show_both_on_list_view": true
    ],
    "shopper_target_settings": [
      "locations": [
        [
          "country_code": "AR",
          "subdivision_codes": ["T", "V"]
        ],
        [
          "country_code": "AU",
          "subdivision_codes": ["WA", "VIC"]
        ]
      ],
      "customer_groups": [0]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/tax/zones")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```